ViennaCL - The Vienna Computing Library: viennacl::device_specific::lazy_program_compiler Class Reference

ViennaCL - The Vienna Computing Library 1.7.1 Free open-source GPU-accelerated linear algebra and solver library. |

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | List of all members
viennacl::device_specific::lazy_program_compiler Class Reference

`#include <lazy_program_compiler.hpp>`

## Public Member Functions
| lazy_program_compiler (viennacl::ocl::context *ctx, std::string const &name, std::string const &src, bool force_recompilation)
| lazy_program_compiler (viennacl::ocl::context *ctx, std::string const &name, bool force_recompilation)
void | add (std::string const &src)
std::string const & | src () const
viennacl::ocl::program & | program ()

## Detailed Description

Definition at line 36 of file lazy_program_compiler.hpp.

## Constructor & Destructor Documentation

viennacl::device_specific::lazy_program_compiler::lazy_program_compiler | ( | viennacl::ocl::context * | ctx,
|  | std::string const & | name,
|  | std::string const & | src,
|  | bool | force_recompilation
| ) |  |
| inline

Definition at line 40 of file lazy_program_compiler.hpp.

viennacl::device_specific::lazy_program_compiler::lazy_program_compiler | ( | viennacl::ocl::context * | ctx,
|  | std::string const & | name,
|  | bool | force_recompilation
| ) |  |
| inline

Definition at line 41 of file lazy_program_compiler.hpp.

## Member Function Documentation

void viennacl::device_specific::lazy_program_compiler::add | ( | std::string const & | src | ) |
| inline

Definition at line 43 of file lazy_program_compiler.hpp.

viennacl::ocl::program& viennacl::device_specific::lazy_program_compiler::program | ( |  | ) |
| inline

Definition at line 47 of file lazy_program_compiler.hpp.

std::string const& viennacl::device_specific::lazy_program_compiler::src | ( |  | ) | const
| inline

Definition at line 45 of file lazy_program_compiler.hpp.

The documentation for this class was generated from the following file:

- viennacl/device_specific/lazy_program_compiler.hpp